Test a provider config without saving it
POST
/api/v1/providers/test
const url = 'https://api.yggy.tech/api/v1/providers/test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"jira","config":{},"credentials":{"accessToken":"example","secret":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/providers/test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "jira", "config": {}, "credentials": { "accessToken": "example", "secret": "example" } }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
type
required
string
config
object
key
additional properties
credentials
object
accessToken
string
secret
string
Responses
Section titled “ Responses ”Test result
Media type application/json
object
ok
required
boolean
latencyMs
number
scopes
Array<string>
account
string
error
string
Example generated
{ "ok": true, "latencyMs": 1, "scopes": [ "example" ], "account": "example", "error": "example"}Invalid provider config
Media type application/json
object
ok
required
boolean
latencyMs
number
scopes
Array<string>
account
string
error
string
Example generated
{ "ok": true, "latencyMs": 1, "scopes": [ "example" ], "account": "example", "error": "example"}